{
  "compilerOptions": {
    "target": "ESNext",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Node",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["ESNext", "DOM"],
    "baseUrl": ".",
    "allowJs": true,
    "paths": {
      "@/*": ["src/*"]
    },
    "skipLibCheck": true,
    "experimentalDecorators": true,
    "importHelpers": true,
    "ignoreDeprecations": "5.0",
    "suppressImplicitAnyIndexErrors": true,
    "types": ["element-plus/global","vite/client","node"],
    "typeRoots": [
      "./node_modules/@types/",
      "./types"
    ] /* 指定多个文件夹，这些文件夹的作用类似于 './node_modules/@types'. */
  },
  "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.tsx", "src/**/*.vue"],
  "exclude": ["node_modules", "dist", "**/*.js"],
  "references": [{ "path": "./tsconfig.node.json" }]
}
